Index: SPECS/libtool.spec
===================================================================
--- SPECS.orig/libtool.spec
+++ SPECS/libtool.spec
@@ -3,7 +3,7 @@
 Summary: The GNU Portable Library Tool
 Name:    libtool
 Version: %{upstream_version}
-Release: 11%{?dist}
+Release: 11.fa2%{?dist}
 License: GPL
 Group:   Development/Tools
 Source:  http://ftp.gnu.org/gnu/libtool/libtool-%{upstream_version}.tar.gz
@@ -28,7 +28,10 @@ Patch5:     libtool-1.5.22-configupdate-
 Patch6:     libtool-1.5.22-relativepath.patch
 BuildRequires: autoconf >= 2.59, automake >= 1.9.2, texinfo
 # make sure we can configure all supported langs
-BuildRequires: gcc, gcc-c++, libstdc++-devel, gcc-gfortran, gcc-java
+BuildRequires:	gcc, gcc-c++, libstdc++-devel, gcc-gfortran
+%ifnarch %{arm}
+BuildRequires:	gcc-java
+%endif
 # /usr/bin/libtool includes paths within gcc's versioned directories
 # Libtool must be rebuilt whenever a new upstream gcc is built
 Requires: autoconf >= 2.50, automake >= 1.4
